IntArray Class Reference
Inheritance diagram for IntArray:
[legend]

## Public Member Functions

| IntArray (int start_size=0)
| IntArray (const IntArray &source)
IntArray & | operator= (const IntArray &rhs)
int & | operator[] (int index)
int | operator[] (int index) const
int & | operator[] (char index)
int | operator[] (char index) const
int & | operator[] (double fraction)
int | operator[] (double fraction) const
int | Append (int value)
int | Append (const IntArray &rhs)
void | Push (int value)
int | Pop ()
int | Peek () const
int & | Last () const
void | PushIfNew (int value)
int | Delete (int index)
void | InsertAt (int index, int value)
int | Find (int value) const
int | FastFind (int value) const
int | BinarySearch (int value) const
void | Sort ()
void | Sort (IntArray &freeRider)
void | Zero ()
void | Set (int value)
void | SetSequence (int start=0, int increment=1)
int | Length () const
void | Dimension (int new_count)
void | Clear ()
int | Sum () const
int | Sum (int start) const
int | Sum (int start, int end) const
double | dSum () const
double | dSum (int start) const
double | dSum (int start, int end) const
int | SumProduct (const IntArray &weight) const
double | dSumProduct (const IntArray &weight) const
int | Max () const
int | Max (int start) const
int | Max (int start, int end) const
int | Min () const
int | Min (int start) const
int | Min (int start, int end) const
int | Count () const
int | CountIfGreater (int treshold) const
int | CountIfGreaterOrEqual (int treshold) const
void | Swap (int i, int j)
void | Reverse ()
| operator int * ()
void | Add (int term)
void | Subtract (int term)
void | Multiply (int factor)
void | Divide (int denominator)
void | Add (const IntArray &rhs)
IntArray & | operator+= (int rhs)
IntArray & | operator+= (const IntArray &rhs)
IntArray & | operator*= (int rhs)
IntArray & | operator-= (int rhs)
IntArray & | operator/= (int rhs)
int | InnerProduct (IntArray &v)
bool | operator== (const IntArray &rhs) const
bool | operator!= (const IntArray &rhs) const
bool | isAscending ()
bool | isDescending ()
void | Stack (const IntArray &rhs)
void | Swap (IntArray &rhs)
void | Print ()
void | Print (const char *label)
void | Print (FILE *output)
void | Print (FILE *output, const char *label)
int | Product ()
double | DoubleProduct ()
int | Hash (int initval=0)

## Static Public Attributes

static int | alloc = 4

## Detailed Description

Definition at line 23 of file IntArray.h.

The documentation for this class was generated from the following files:

- general/IntArray.h
- general/IntArray.cpp